Article ID: 119976, created on Feb 4, 2014, last review on May 10, 2014

  • Applies to:
  • Plesk Automation 11.5

Symptoms

Subscription provisioning fails with an error:

There is no aps package with UID = 9675bab3-600f-45ba-8787-32a554d06fed Use "get-available-mail-providers" command of operator "mail" to receive the list of available mail providers

Cause

Postfix Remote Connector package is not installed, but an orphan record in PPA database exists for it.

plesk=> select * from pleskmail_providers ;
           name           |                 uid                  | aps_version |                        aps_uid
--------------------------+--------------------------------------+-------------+-------------------------------------------------------
 SmarterMail              | d6401a33-ba58-493c-9b88-f64106004ec0 | 0.1-6       | http://apsstandard.org/app/remote-smartermail-apsmail
 Remote Postfix Connector | 9675bab3-600f-45ba-8787-32a554d06fed | 0.3-1       | http://apsstandard.org/app/remote-postfix-apsmail

 ~# mysqldump -uadmin -p`cat /etc/psa/.psa.shadow ` apsc --disable-extended-insert|grep 9675bab3-600f-45ba-8787-32a554d06fed
~#

Resolution

In order to resolve the issue, it is necessary to remove the otphan record and re-install the package from the installation source.

  1. Remove a record:

    plesk=> delete from pleskmail_providers where uid='9675bab3-600f-45ba-8787-32a554d06fed';
    
  2. Download the package:

    ~# wget http://autoinstall.plesk.com/PPA_11.5.0/APS/RemotePostfix-0.3-1.zip
    
  3. Install:

    ~# /usr/local/ppa/bin/apsmail -i RemotePostfix-0.3-1.zip -n 'Remote Postfix Connector'
    

If necessary, the same operation should be completed for other mail packages providers.

33a70544d00d562bbc5b17762c4ed2b3 e0aff7830fa22f92062ee4db78133079 caea8340e2d186a540518d08602aa065

Email subscription for changes to this article
Save as PDF